fix warnings
u32->u64 when split files are more than 4GB
see #680
use u64 when computing mdat size to handle files >4GB (#680)
use u64 when computing mdat size to handle files >4GB (#680)
u32->u64 when split files are more than 4GB
see #680
